com.fasterxml.jackson.databind.ser.impl

## Class WritableObjectId

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.WritableObjectId

    public final class WritableObjectId
    extends Object

Simple value container used to keep track of Object Ids during serialization.

### Field Summary

Fields
`ObjectIdGenerator<?>` `generator`
`Object` `id`
`JsonSerializer<Object>` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`WritableObjectId(ObjectIdGenerator<?> generator)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### generator

    public final ObjectIdGenerator<?> generator

#### serializer

    public JsonSerializer<Object> serializer

#### id

    public Object id

### Constructor Detail

#### WritableObjectId

    public WritableObjectId(ObjectIdGenerator<?> generator)